| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RenderObjectListener Class Referenceabstract

Abstract interface which classes must implement if they wish to receive events from the scene manager when single object is about to be rendered. More...

`#include <OgreRenderObjectListener.h>`

Inheritance diagram for Ogre::RenderObjectListener:
[legend]

## Public Member Functions
virtual | ~RenderObjectListener ()
virtual void | notifyRenderSingleObject (Renderable *rend, const Pass *pass, const AutoParamDataSource *source, const LightList *pLightList, bool suppressRenderStateChanges)=0
| Event raised when render single object started. More...

## Detailed Description

Abstract interface which classes must implement if they wish to receive events from the scene manager when single object is about to be rendered.

## Constructor & Destructor Documentation

## ◆ ~RenderObjectListener()

virtual Ogre::RenderObjectListener::~RenderObjectListener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ notifyRenderSingleObject()

virtual void Ogre::RenderObjectListener::notifyRenderSingleObject | ( | Renderable * | rend,
|  | const Pass * | pass,
|  | const AutoParamDataSource * | source,
|  | const LightList * | pLightList,
|  | bool | suppressRenderStateChanges
| ) |  |
| pure virtual

Event raised when render single object started.

Remarks
  This method is called by the SceneManager.

Parameters

  rend | The renderable that is going to be rendered.
  pass | The pass which was set.
  source | The auto parameter source used within this render call.
  pLightList | The light list in use.
  suppressRenderStateChanges | True if render state changes should be suppressed.

Implemented in Ogre::HlmsManager.

The documentation for this class was generated from the following file:

- OgreRenderObjectListener.h